5

1. 安装n管理包

终端使用npm install -g n命令全局安装,
安装成功后在终端输入n --versionn查看。

~ npm install -g n

/usr/local/bin/n -> /usr/local/lib/node_modules/n/bin/n
+ n@2.1.12
updated 1 package in 3.55s

~ n --version

2.1.12

~ n

mkdir: /usr/local/n/versions/node: Permission denied
mkdir: /usr/local/n/versions/io: Permission denied
find: /usr/local/n/versions: No such file or directory

  Error: no installed version

  Usage: n [options/env] [COMMAND] [args]

图片描述

2. 安装一个node版本

安装前我的node版本:

~ node -v
v6.11.1

~ where node
/usr/local/bin/node

图片描述

  1. 首先要选择一个版本,具体可以查看下面链接,找一个需要的版本:
    https://github.com/nodejs/node/tree/master/doc/changelogs
  2. 安装一个版本:

    ~ sudo n 8.12.0
     install : node-v8.12.0
       mkdir : /usr/local/n/versions/node/8.12.0
       fetch : https://nodejs.org/dist/v8.12.0/node-v8.12.0-darwin-x64.tar.gz
    installed : v8.12.0

    第一次安装一个版本成功后,node会自动切换到该版本,之前的版本会丢失。
    图片描述

3. 一些使用命令

3.1 安装或使用一个版本:n node-version

使用命令n 8.12.0时:
当8.12.0版本没有安装时,则安装这个版本。
如果8.12.0版本已经安装了,则切换的这个node版本。

3.2 查看所有已经安装的node版本:n

可以在终端输入n命令查看所有已经安装的node版本.
在显示版本的界面,可以使用上下箭头来选择一个你想要使用的node版本,然后按回车即可选择。
q或者control + C退出node版本列表:

~ n

  node/8.12.0
ο node/9.11.2

3.3 使用或安装最新的官方发布:n latest

3.4 使用或安装稳定的官方发布:n stable

3.5 使用或安装最新的LTS官方版本:n lts

3.6 删除一个node版本:n rm 0.9.4

删除一些版本 : n rm 0.9.4 v0.10.0
或者使用-代替rmn - 0.9.4

3.6.1 删除除当前版本外所有其他版本:n prune

4 n包工具所有已经安装的node的目录

本人是Mac系统,所有已经安装的node版本存放路径:/usr/local/n/versions/node

5. 遇到的问题

5.1 Error: sudo required:需要sudo权限才能操作

当使用n 安装一个node版本是,提示Error: sudo required
是因为需要管理员权限才能操作,此时使用sudo n 8.12.0即可。

6. 参考资料

n:https://www.npmjs.com/package/n
node所有历史版本:https://github.com/nodejs/node/tree/master/doc/changelogs


dragon
805 声望27 粉丝

一个前端页面开发者,用过react、vue前端框架